%global module pexpect

Name:           python-%{module}
Version:        4.8.0
Release:        %mkrel 2
Summary:        Unicode-aware Pure Python Expect-like module
License:        MIT
Group:          Development/Python
URL:            https://pypi.python.org/pypi/pexpect
Source0:        %{module}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-ptyprocess

%description
Pexpect is a pure Python module for spawning child applications,
controlling them, and responding to expected patterns in their
output. Pexpect works like Don Libes' Expect. Pexpect allows your
script to spawn a child application and control it as if a human were
typing commands.

%package -n python3-%{module}
Summary:        %{summary}.
Group:          Development/Python
Requires:       python3-ptyprocess

%description -n python3-%{module}
Pexpect is a pure Python module for spawning child applications,
controlling them, and responding to expected patterns in their
output. Pexpect works like Don Libes' Expect. Pexpect allows your
script to spawn a child application and control it as if a human were
typing commands.

%prep
%setup -qn %{module}-%{version}

# Correct some permissions
find examples -type f -exec chmod a-x \{\} \;

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

%files -n python3-%{module}
%doc LICENSE doc examples
%{python3_sitelib}/*

%changelog
* Sat Mar 12 2022 TerryN <terryn94 at gmail.com> 4.8.0-1pclos2022
- update and rebuild for python 3.10

* Sat Oct 12 2019 tex - 4.5-2pclos2019
- rebuild against updates

* Thu Apr 05 2018 marcin82 <fixxer1982 at gmail.com> 4.5-1pclos2018
- initial build for PCLinuxOS
